Bug 1222596 - postgresql-jdbc should depend on java-headless instead of java
Summary: postgresql-jdbc should depend on java-headless instead of java
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: postgresql-jdbc
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Raiskup
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1572673
TreeView+ depends on / blocked
 
Reported: 2015-05-18 15:15 UTC by etienne.dysli-metref
Modified: 2018-10-30 15:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the postgresql-jdbc package depended on the full Java environment, including the desktop support packages. With this update, only the java-headless runtime is required. This optimization will, for example, reduce the size of generated Red Hat Enterprise Linux 7 container images.
Clone Of:
: 1572673 (view as bug list)
Environment:
Last Closed: 2018-10-30 15:43:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1068494 0 unspecified CLOSED postgresql-jdbc: Switch to java-headless (build)requires 2021-02-22 00:41:40 UTC

Description etienne.dysli-metref 2015-05-18 15:15:29 UTC
Description of problem:
The package postgresql-jdbc depends on java and that implies installing graphics and sound libraries which are not desired on a server. It should depend on java-headless instead. This is already the case in Fedora for the same version, see #1068494.

Version-Release number of selected component (if applicable):
$ repoquery --plugins --info postgresql-jdbc
Name        : postgresql-jdbc
Version     : 9.2.1002
Release     : 5.el7
Architecture: noarch
Size        : 572152
Packager    : None
Group       : Applications/Databases 
URL         : None
Repository  : rhel-x86_64-server-7
Summary     : JDBC driver for PostgreSQL
Source      : postgresql-jdbc-9.2.1002-5.el7.src.rpm
[...]
$ repoquery --plugins --requires postgresql-jdbc
java
jpackage-utils

How reproducible:
always

Steps to Reproduce:
1. yum install java-1.7.0-openjdk-headless
2. yum install postgresql-jdbc

Actual results:
java-1.8.0-openjdk and all its dependencies get pulled in

Expected results:
no additional dependencies to install

Comment 2 Pavel Raiskup 2017-07-12 14:17:47 UTC
Thanks for the report.  This is valid optimization request, though it has
not enough priority yet.

If this issue is critical or in any way time sensitive, please raise a ticket
through your regular Red Hat support channels to make certain  it receives the
proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please
visit:

https://www.redhat.com/support/process/production/#howto


Note You need to log in before you can comment on or make changes to this bug.